"""Role testing files using testinfra."""
import pytest

def test_installed_packages(host):
    borgbackup = host.package("borgbackup")
    assert borgbackup.is_installed
    borgmatic = host.package("borgmatic")
    assert borgmatic.is_installed

def test_borgmatic_config(host):
    config_file = "/etc/borgmatic/default.yaml"
    config = host.file(config_file)
    assert config.exists
    valid_config = host.run(f"sudo validate-borgmatic-config -c {config_file}")
    assert valid_config.succeeded

def test_borgmatic_service(host):
    borgmatic_service = host.service("borgmatic_default") 
    assert borgmatic_service.is_valid
    assert borgmatic_service.is_enabled
